/**
 * @internal
 * Needed to explicitly set as string as we don't want to let typescript set them as ascending numbers
 * at runtime as we want to compare with the literal string values from the server
 */
export var GenesisType;
(function (GenesisType) {
    GenesisType["STRING"] = "STRING";
    GenesisType["ENUM"] = "ENUM";
    GenesisType["INT"] = "INT";
    GenesisType["SHORT"] = "SHORT";
    GenesisType["DOUBLE"] = "DOUBLE";
    GenesisType["LONG"] = "LONG";
    GenesisType["BOOLEAN"] = "BOOLEAN";
    GenesisType["BIGDECIMAL"] = "BIGDECIMAL";
    GenesisType["DATE"] = "DATE";
    GenesisType["DATETIME"] = "DATETIME";
    GenesisType["RAW"] = "RAW";
})(GenesisType || (GenesisType = {}));
